player_actarray_power_config Struct Reference

Request/reply: Power. More...

`#include <player_interfaces.h>`

## Public Attributes

uint8_t | value
| Power setting; 0 for off, 1 for on. More...

## Detailed Description

Request/reply: Power.

Send a PLAYER_ACTARRAY_REQ_POWER request to turn the power to all actuators in the array on or off. Be careful when turning power on that the array is not obstructed from its home position in case it moves to it (common behaviour). Null response.

## Member Data Documentation

uint8_t player_actarray_power_config::value

Power setting; 0 for off, 1 for on.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45